.works {

    &__row {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(290px, 1fr));
    }

    &__link {
        @include animate(transform);

        position: relative;
        text-align: center;
        overflow: hidden;
        transform: scale(1);

        &:hover {
            transform: scale(0.97);
        }

        &:hover .works__name,
        &:hover  .orange-bg {
            visibility: visible;
        }

        img {
            width: 100%;
            height: auto;
        }
    }

    &__name {
        @include animate(visibility);

        visibility: hidden;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 30px;
        color: #fff;
        font-weight: 700;
    }

    &__row--top {

        .works__link {
            max-height: 426px;
        }
    }

    &__row--bottom {

        .works__link {
            max-height: 325px;
        }
    }
}

.orange-bg {
    @include animate(visibility);

    visibility: hidden;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba($color: #f6ae48, $alpha: 0.83);
}
